const mix = require('laravel-mix')
const SvgSpritemapPlugin = require('svg-spritemap-webpack-plugin')

/*
 |--------------------------------------------------------------------------
 | Mix Asset Management
 |--------------------------------------------------------------------------
 |
 | Mix provides a clean, fluent API for defining some Webpack build steps
 | for your Laravel application. By default, we are compiling the Sass
 | file for the application as well as bundling up all the JS files.
 |
 */

mix.webpackConfig({
    plugins: [
        new SvgSpritemapPlugin('assets/icons/*.svg', {
            output: {
                filename: 'dist/symbol-defs.svg'
            },
            sprite: {
                prefix: 'icon-'
            }
        })
    ],
    module: {
		rules: [{
			test: /\.riot$/,
			exclude: /node_modules/,
			use: [{
				loader: '@riotjs/webpack-loader',
				query: {
					hot: false
				}
			}]
		}
    ]}
})

mix.js('demo.js', 'dist/js')
mix.copy('src/fonts/*', 'dist/fonts')
mix.sass('demo.scss', 'dist/css')
